package cn.superdesk.uniorder.dubbo.facade.sys.logger;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.logger.SysUserOperationLog;
import cn.superdesk.uniorder.dto.param.system.logger.SysUserOperationLogParam;
import cn.superdesk.uniorder.dto.param.system.logger.SysUserOperationLogQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 操作日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-12-10 17:17:34
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-12-10 17:17:34
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysUserOperationLogService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysUserOperationLogParam param);

	@Deprecated
	void updateObj(SysUserOperationLogParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysUserOperationLog findById(Long id);

	@Deprecated
	PageInfo<SysUserOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysUserOperationLog> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysUserOperationLog(SysUserOperationLogParam param);

	void updateSysUserOperationLog(SysUserOperationLogParam param);

	void deleteSysUserOperationLog(Long id);

	SysUserOperationLog findSysUserOperationLogById(Long id);

	R<List<SysUserOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<SysUserOperationLog>> pageQueryGenericParam(SysUserOperationLogQueryCriteria criteria);
}
